<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
?>
<style>
.discount {
    position: absolute;
    margin-left: 30px;
    margin-top: -25px;
    border: 2px solid #f15a21;
    border-radius: 100px 0 0 100px;
    padding: 2px;
    width: 50px;
    height: 23.5px;
}
.discount p {
    background: #f15a21;
    border-radius: 100px 0 0 100px;
    text-align: center;
    line-height: 0!important;
    font-size: .9em!important;
    padding: 7px;
}
.discount span {
    color: #fff;
    font-size: 11px;
    text-align: center;
    display: inline-block;
    font-weight: 700;
}
</style>
<link href="css/mystyle.css" type="text/css" rel="stylesheet"/>
<script type="text/javascript" src="js/jquery.watermark.js"></script>
   
        <!-- Modal body -->
        <div class="modal-body">
		       <label>Tìm vật phẩm</label>			
            <div class="form-group pass_show"> 
                <input type="text" value=""  id="itemid_info" class="form-control" placeholder="ID vật phẩm hoặc tên vật phẩm" style="width:300px"> 
				<input type="text" value="1" id="counta" class="form-control" placeholder="Số lượng" style="width:80px;margin-top:-37px;margin-left: 65%;"> 
            </div>
			<span id="searchresultdata"></span>
			<br />
		       <label>Vị Trí TOP</label>			
            <div class="form-group pass_show"> 
				<input type="text" value="1" id="vitritopa" class="form-control" placeholder="Số lượng" style="width:80px;margin-top:-37px;margin-left: 65%;"> 
				<input type="text" value="1" id="vitritopb" class="form-control" placeholder="Số lượng" style="width:80px;margin-top:-37px;margin-left: 35%;"> 
            </div>			
            <div class="form-group pass_show"> 
				<input type="submit" class="btn btn-success btn-block" value="Thêm" onClick="addItemB();" style="width:80px;float:right;margin-top:-37px"/>
            </div>
			
        </div>
        
        <!-- Modal footer -->
<script type="text/javascript">
function loadlistitemcode(){
	$.post('load_itemcode.php', {idevent:'<?=$_POST['idevent']?>'}, function(data){
		$('#listitemcode').html(data);
	});
}
function delitemcode(idevent,id){
$.post('del_codeitem.php', {idevent:idevent,id:id}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });		
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}	
},'json');
}
function addItemA(){
	if($('#list_itemseacher').val() == ""){
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: 'Bạn chưa chọn vật phẩm cần thêm.'
                });			
	} else {
$.post('add_codeitem.php', {idevent:'<?=$_POST['idevent']?>',itemid:$('#list_itemseacher').val(),counta:$('#counta').val()}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });		
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}	
},'json');
	}
}
function addItemB(){
	if($('#code_guikhac').val() == ""){
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: 'Bạn chưa chọn thứ cần thêm..'
                });			
	} else {
$.post('add_codeitemtext.php', {idevent:'<?=$_POST['idevent']?>',item_text:$('#code_guikhac').val(),countb:$('#countb').val()}, function(data){
		if(data['type'] == 0){
			loadlistitemcode();							
                Lobibox.notify('success', {
                    size: 'mini',
                    msg: data['text']
                });		
		} else {
                Lobibox.notify('error', {
                    size: 'mini',
                    msg: data['text']
                });				
		}	
},'json');
	}
}
$(document).ready(function() {
$("#itemid_info").watermark("Nhập Thứ cần tìm");	// Watermart cho khung nhập
$("#itemid_info").keyup(function()
{
	var itemid_info = $(this).val();   		// Lấy giá trị search của người dùng
	var dataString = 'keyword='+ itemid_info;	// Lấy giá trị làm tham số đầu vào cho file ajax-search.php
	if(itemid_info.length>=2)					// Kiểm tra giá trị người nhập có > 3 ký tự hay ko
	{
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax/ajax-search.php",  				// File xử lý
			data: dataString,						// Dữ liệu truyền vào
			beforeSend:  function() {				// add class "loading" cho khung nhập
				$('input#itemid_info').addClass('loading');
			},
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
				$('#searchresultdata').html(server_response).show();  	// Hiển thị dữ liệu vào thẻ div #searchresultdata
				
				if ($('input#itemid_info').hasClass("loading")) {		// Kiểm tra class "loading"
					$("input#itemid_info").removeClass("loading");		// Remove class "loading"
				} 
			}
		});
	}return false;		// Không chuyển trang
});
});
</script>
		   